package com.ajb.global.enums;

public enum ParamVerifyEnum {
    /**
     * 参数不能为空
     */
	PARAM_NOT_NULL(1,"参数不能为空！"),
	/**
	 * 参数不正确
	 */
	PARAM_ERROR(2,"参数不正确！"),
	/**
	 * 常用联系人类型不能为空
	 */
	CONTACTTYPE_NOT_NULL(11,"常用联系人类型不能为空！"),
	/**
	 * 常用联系人姓名不能为空
	 */
	CONTACTNAME_NOT_NULL(12,"常用联系人姓名不能为空！"),
	/**
	 * 与投保人关系不能为空
	 */
	RELATIONID_NOT_NULL(13,"与投保人关系不能为空！"),
	/**
	 * 身份证件类型不能为空
	 */
	IDTYPEID_NOT_NULL(14,"身份证件类型不能为空！"),
	/**
	 * 身份证件号码不能为空
	 */
	IDNO_NOT_NULL(15,"身份证件号码不能为空！"),
	/**
	 * 性别不能为空
	 */
	GENDER_NOT_NULL(16,"性别不能为空！"),
	/**
	 * 手机号码不能为空
	 */
	MOBILENO_NOT_NULL(17,"手机号码不能为空！"),
	/**
	 * 生日不能为空
	 */
	BIRTHDATE_NOT_NULL(18,"生日不能为空！"),
	/**
	 * 投保人ID不能为空
	 */
	CUSTOMERID_NOT_NULL(19,"投保人ID不能为空！")
	
	;
	
	private int code;
	
	private String message;
	
	
	public int getCode() {
		return code;
	}


	public String getMessage() {
		return message;
	}


	private ParamVerifyEnum(int code, String message) {
		this.code = code;
		this.message = message;
	}
}
